<div data-role="navview" data-toggle="#paneToggle" data-expand="xl" data-compact="lg" data-active-state="true"
  data-role-navview="true" class="navview navview-compact-lg navview-expand-xl" id="main-ds">
  <div class="navview-pane">
    <div class="navview-container">
      <div class="d-flex flex-align-center background-principal">
        <button class="pull-button m-0 bg-darkCyan-hover" (click)="openMain()">
          <span class="mif-menu fg-white"></span>
        </button>
        <h2 class="text-light m-0 fg-white pl-7" style="line-height: 52px">
          <em aria-hidden="logo" class="icons-vdos icon-scjn-logo"><span class="hidden">&nbsp;</span></em>
        </h2>
      </div>
    </div>
    <div class="navview-menu-container" style="height: calc(100% - 205px);">
      <ul class="navview-menu mt-4" id="side-menu">
        <li class="item-header">Menú</li>
        <li *ngIf="modulos.includes(tagModule.sentencia)" class="link-menu" routerLinkActive="active">
          <a routerLink="/sentencia">
            <span class="icon">
              <img src="./assets/img/icono-sentencias-b.svg" alt="sentencia">
            </span>
            <span class="caption">Sentencia</span>
          </a>
        </li>

        <li *ngIf="modulos.includes(tagModule.votos)" class="link-menu" routerLinkActive="active">
          <a routerLink="/votos">
            <span class="icon">
              <img src="./assets/img/icono-votos-b.svg" alt="votos">
            </span>
            <span class="caption">Votos</span>
          </a>
        </li>

        <li *ngIf="modulos.includes(tagModule.acuerdos)" class="link-menu" routerLinkActive="active">
          <a routerLink="/acuerdos-generales">
            <span class="icon">
              <img src="./assets/img/icono-acuerdos-b.svg" alt="votos">
            </span>
            <span class="caption">Acuerdos generales</span>
          </a>
        </li>

        <li *ngIf="modulos.includes(tagModule.normativa)" class="link-menu" routerLinkActive="active">
          <a routerLink="/diversa-normativa">
            <span class="icon">
              <img src="./assets/img/icono-ordenamientos-b.svg" alt="diversa-normativa">
            </span>
            <span class="caption">Diversa normativa</span>
          </a>
        </li>

        <li *ngIf="modulos.includes(tagModule.taquigraficas)" class="link-menu" routerLinkActive="active">
          <a routerLink="/v-taquigraficas">
            <span class="icon">
              <img src="./assets/img/icono-versiones tac-b.svg" alt="taquigrafica">
            </span>
            <span class="caption">Versiones taquigráficas</span>
          </a>
        </li>
        <li *ngIf="modulos.includes(tagModule.catalogo)" class="link-menu" routerLinkActive="active">
          <a routerLink="/catalogos">
            <span class="icon">
              <i class="pi pi-book"></i>
            </span>
            <span class="caption">Catálogos</span>
          </a>
        </li>
        <li *ngIf="modulos.includes(tagModule.bitacora)" class="link-menu" routerLinkActive="active">
          <a routerLink="/bitacora">
            <span class="icon">
              <i class="pi pi-table"></i>
            </span>
            <span class="caption">Bitácora</span>
          </a>
        </li>

        <li *ngIf="modulos.includes(tagModule.seguimiento)" class="link-menu">
          <a class="dropdown-toggle pl-2">
            <span class="material-icons">trending_up</span>
            <span class="caption pl-3">Seguimiento</span>
          </a>
          <ul class="navview-menu stay-open" data-role="dropdown" data-role-dropdown="true" style="display: none;">
            <li class="item-header">Seguimiento</li>
            <li class="link-menu" routerLinkActive="active">
              <a routerLink="exploracion-datos">
                <span class="material-icons pl-3" style="font-size: 10px;">circle</span>
                <span class="caption pl-3">Exploración de datos</span>
              </a>
            </li>
          </ul>
        </li>
        <li *ngIf="modulos.includes(tagModule.admin)" class="link-menu">
          <a class="dropdown-toggle pl-2">
            <span class="material-icons pl-0">
              admin_panel_settings
            </span>
            <span class="caption pl-3">Administración</span>
          </a>
          <ul class="navview-menu stay-open" data-role="dropdown" data-role-dropdown="true" style="display: none;">
            <li class="item-header">Administración</li>
            <li class="link-menu" routerLinkActive="active">
              <a routerLink="asignacion-asuntos">
                <span class="material-icons pl-3" style="font-size: 10px;">circle</span>
                <span class="caption pl-3">Asignación de asuntos</span>
              </a>
            </li>
            <li class="link-menu" routerLinkActive="active">
              <a routerLink="usuarios">
                <span class="material-icons pl-3" style="font-size: 10px;">circle</span>
                <span class="caption pl-3">Usuarios</span>
              </a>
            </li>
          </ul>
        </li>
      </ul>
      <!--<div class="d-flex justify-content-center align-items-center">
                <i *ngIf="loadMenu" class="pi pi-spin pi-spinner m-3" style="font-size: 2rem"></i>
            </div>-->
    </div>
    <div class="w-100 text-center text-small data-box p-2 border-top bd-grayMouse"
      style="position: absolute; bottom: 0">
      <div>Unidad General de Administración del Conocimiento Jurídico
      </div>

    </div>
  </div>

  <div class="navview-content h-100">
    <div data-role="appbar" class="pos-absolute fg-white app-bar" data-role-appbar="true"
      style="background-color: #24135f ">
      <button type="button" class="hamburger menu-down hidden" style="display: none;"><span class="line"></span><span
          class="line"></span><span class="line"></span></button>
      <!-- <button id="paneToggle" class="pull-button m-0 bg-darkCyan-hover" (click)="openMain()">
            <span class="mif-menu fg-white"></span>
          </button> -->
      <!--<a href="#" class="app-bar-item d-block d-none-lg" id="paneToggle"><span class="mif-menu"></span></a>-->
      <div class="app-bar-container ml-auto">

        <div class="app-bar-container">
          <a class="mr-4">
            <span class="app-bar-name">Secretaría General de Acuerdos | Administración del conocimiento</span>
          </a>

          <div class="mr-4">
            <span type="button" id="user" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
              aria-hidden="true">
              <p class="user-name" aria-hidden="true" style="margin-bottom: 0;">
                {{usernameInitials}}
                <i class="fa fa-user" aria-hidden="true"></i>
              </p>
            </span>
            <div class="dropdown-menu dropdown-menu-left" aria-labelledby="user">

              <div>
                <button class="dropdown-item btn-sm bold-title" type="button" (click)="logout()">Cerrar
                  Sesión</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="content-wrapper" class="content-inner h-100" style="overflow-y: auto">
      <div class="row border-bottom bd-lightGray m-3">
        <div class="col-12 cell-md-4 d-flex flex-align-center">
          <h3 class="dashboard-section-title text-left-md w-100" style="font-size:18px;">{{ entity | nameType }}
          </h3>
        </div>
        <main class="w-100">
          <router-outlet></router-outlet>
          <div class="col-12 d-flex justify-content-end align-items-center">
            <!--<i placement="left" ngbTooltip="De clic para recargar la página" (click)="refreshPage()" class="material-icons refresh">refresh</i>-->
          </div>
        </main>
      </div>
    </div>
  </div>
</div>
